For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get snapshot

Retrieve snapshot for a specified virtual machine. Use this endpoint to view current VPS snapshot information.

Get snapshot

get

Retrieve snapshot for a specified virtual machine.

Use this endpoint to view current VPS snapshot information.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
virtualMachineIdintegerRequired

Virtual Machine ID

Example: 1268054
Responses
200

Success response

application/json
idintegerOptional

Snapshot ID

Example: 325
restore_timeintegerOptional

Estimated snapshot restore time in seconds

Example: 1800
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
expires_atstring · date-timeOptionalExample: 2025-03-19T11:54:22Z
get/api/vps/v1/virtual-machines/{virtualMachineId}/snapshot
GET /api/vps/v1/virtual-machines/{virtualMachineId}/snapshot HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 325,
  "restore_time": 1800,
  "created_at": "2025-02-27T11:54:22Z",
  "expires_at": "2025-03-19T11:54:22Z"
}

Last updated

Was this helpful?